<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	class ZLEADSCRM_PIPELINE_Core {
		private static $initiated = false;

		public static function init() {
			if ( ! self::$initiated ) {
				self::init_hooks();
			}
			self::create_leads_pipeline_post_type();
		}

		private static function init_hooks() {
		}

		public static function plugin_activation() {
		}

		public static function plugin_deactivation() {
		}

		public static function create_leads_pipeline_post_type() {
			$labels = array(
				'name'          => 'Pipelines',
				'singular_name' => 'Pipeline',
			);

			$args = array(
				'labels'             => $labels,
				'public'             => true,
				'publicly_queryable' => true,
				'show_ui'            => false,
				'show_in_menu'       => false,
				'query_var'          => true,
				'rewrite'            => array( 'slug' => 'zleadscrm_pipeline' ),
				'capability_type'    => 'post',
				'has_archive'        => false,
				'hierarchical'       => false,
				'menu_position'      => null,
				'supports'           => array( 'title', 'custom-fields' ),
			);

			register_post_type( 'zleadscrm_pipeline', $args );
		}
	}

?>